#include "stdafx.h"
#include "TranslateW.h"
extern "C" const char* PASCAL EXPORT GetAlgName(){static char s[]="тест ввода лекарств";return s;}
//тест ввода лекарств
double klinichjeskaja_vjerojatnostjl, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, faktor_riska, troponin, disfunkcija_pzh, shok, risk, ad_nach, tehla, ehkho, kt, d_dimjer, inf_nomjer_nfg, doza_nfg, massa, achtv, achtv_nach, doza_noradrjenalin, inf_nomjer_noradrjenalin, inf_nomjer_dopamin, doza_dopamin, trombolizis, rjeanim, inf_nomjer_strjeptokinaza, inf_nomjer_urokinaza, inf_nomjer_aljltjeplaza, massa_83, antikoagul_tjerapija, prjeparat, doza_fondaparinuks;

extern "C" int PASCAL EXPORT vkhod()
{CString VSetText;
  
CHK_TOTAL_STOP
  SetInjectionQuick(VSetText,1,32,"нфг",5000,cVV,UnitMG);VSetText="";
  
  //задать_текст("вводить капельно стрептокиназу со скоростью 5 мг/час 30 мин.")
CHK_TOTAL_STOP
  inf_nomjer_strjeptokinaza= SetInjection(VSetText,0,4,36,"стрептокиназа",5,UnitMl,1800);VSetText="";
CHK_TOTAL_STOP
  FSleep(30);
CHK_TOTAL_STOP
  inf_nomjer_strjeptokinaza= SetInjection(VSetText,1,4,36,"стрептокиназа",5,UnitMl,1800);VSetText="";CHK_TOTAL_STOP_T(1800)
CHK_TOTAL_STOP
  FSleep(30);
CHK_TOTAL_STOP
  SetInjectionVelocity(4,36,"стрептокиназа",1,UnitMl);
  
WaitThreadsEnd();
return 0;
}






